Mailinglist Archive: opensuse-buildservice (177 mails)

< Previous Next >
[opensuse-buildservice] A non operating suse_version macro?
  • From: Hans-Peter Jansen <hpj@xxxxxxxxx>
  • Date: Mon, 05 Dec 2016 15:29:37 +0100
  • Message-id: <1537094.567M4qoZVR@xrated>
Hi,

I suffer from a libqt5-qtbase build, that is performing perfectly well on a
local build, but fails on OBS for 13.2 due to a failing glob:

File not found by glob: /home/abuild/rpmbuild/BUILDROOT/libqt5-
qtbase-5.7.1-10.1.x86_64/usr/lib64/libQt5EglFsKmsSupport.so.*

https://build.opensuse.org/package/live_build_log/home:frispete:PyQt5/libqt5-qtbase/openSUSE_13.2/x86_64

although it is excluded explicitly for 13.2:

%if 0%{?suse_version} != 1320
%{libqt5_libdir}/libQt5EglFsKmsSupport.so.*
%endif

Line 1025:
https://build.opensuse.org/package/view_file/home:frispete:PyQt5/libqt5-qtbase/libqt5-qtbase.spec?expand=1

I cannot see, what's wrong with this clause. Do you? (Yes, I know, it's a lame
expression, but I don't build for older versions anyway..)

While at it, I tried to build the package locally with --vm-type=kvm in order
to get the build behaving even more like the BS builds, but that fails due to
OOM. How can I get the osc kvm build respect the _constraints of this package?

Thanks in advance,
Pete
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups